# BugShooter

Hello, welcome to my BugShooter game. 
Growing up, I played a lot of Flash games on Newgrounds.com and my favorite were top down zombie shooters, so I challenged myself to make one. 
Making this game was a fun, educational, and stressful experience that took a lot of banging my head on the problem but things turned out quite nicely.
One day, it occurred to me that instead of a zombie shooter, a bug shooter game would be more appropriate to reflect my experience in making this game.

Once the program starts, a 800x600 screen opens. It is claustrophobic and reflects the focus it takes to program. 

This game places the player, who is a character with a keyboard, in the middle of the screen amongst a background of code. 

The controls are WASD to move and the mouse to look around and left click to shoot.

A message pops up: 

"THERE ARE BUGS EVERYWHERE"

"YOUR DEADLINE APPROACHES"

"ELIMINATE THE BUGS!"

The first bug appears and the message disappears once the player clicks to shoot for the first time.
There is a killcount on the top left and the bugs keep coming. There are so many bugs! 
But our strength is that we are able to shoot through the bugs and take out many at once.

If the player leaves the screen, it will result in a game over and a message pops up:

"YOU RAN AWAY FROM YOUR ASSIGNMENT"

"The assignment must be completed"

"Press R to quit procrastinating and try again"

You must complete the assignment, press R.

And so, you continue to fight the bugs but they keep coming. Eventually the player will be 
swarmed and if the bugs touch the player, it results in a game over and a message pops up:

"YOU HAVE BEEN OVERWHELMED BY BUGS"

"The assignment must be completed"

"Press R to regain composure and try again"

Such is my experience of coding thus far. It is exciting, fun and awesome but also frustrating at times.

In order to restart the game, you have to close and reopen the game.

Enjoy!
 
Sprites lovingly created by my girlfriend Eva!

A demonstration video is available here:
https://youtu.be/456Mii_hQ90